Package org.apache.datasketches.hive.tuple

## Class DataToDoubleSummarySketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.tuple.DataToSketchUDAF
    - - org.apache.datasketches.hive.tuple.DataToDoubleSummarySketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class DataToDoubleSummarySketchUDAF
    extends DataToSketchUDAF

This simple implementation is to give an example of a concrete UDAF based on the abstract DataToSketchUDAF if no extra arguments are needed. The same functionality is included into DataToDoubleSummaryWithModeSketchUDAF with the default summary mode of Sum, but the implementation is more complex because of the extra argument.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.datasketches.hive.tuple.DataToSketchUDAF

`DataToSketchUDAF.DataToSketchEvaluator<U,​S extends org.apache.datasketches.tuple.UpdatableSummary<U>>`

### Constructor Summary

Constructors
`DataToDoubleSummarySketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()` This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)`

### Methods inherited from class org.apache.datasketches.hive.tuple.DataToSketchUDAF

`checkExtraArguments`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToDoubleSummarySketchUDAF

    public DataToDoubleSummarySketchUDAF()

### Method Detail

#### getEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)
                                                                            throws org.apache.hadoop.hive.ql.parse.SemanticException

Specified by:
  `getEvaluator` in interface `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`
Overrides:
  `getEvaluator` in class `DataToSketchUDAF`
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException`

#### createEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

Description copied from class: `DataToSketchUDAF`
This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

Specified by:
  `createEvaluator` in class `DataToSketchUDAF`
Returns:
  an instance of evaluator